Bug 1471209 - gi.overrides.BlockDev.DMError: Failed to activate the RAID set 'pdc_giibegaj'
gi.overrides.BlockDev.DMError: Failed to activate the RAID set 'pdc_giibegaj'
Status: NEW
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:0c76352ffc6acab25231d5c277f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 13:16 EDT by Lwcoulter1
Modified: 2017-12-06 06:47 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (385.01 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: anaconda.log (8.32 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: dnf.librepo.log (9.75 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: environ (529 bytes, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: hawkey.log (601 bytes, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: lsblk_output (2.96 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: nmcli_dev_list (1.21 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: os_info (447 bytes, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: program.log (17.88 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: storage.log (27.69 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: syslog (256.44 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: ifcfg.log (2.19 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details
File: packaging.log (1.05 KB, text/plain)
2017-07-14 13:16 EDT, Lwcoulter1
no flags Details

  None (edit)
Description Lwcoulter1 2017-07-14 13:16:10 EDT
Version-Release number of selected component:
anaconda-26.21.11-1

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py", line 824, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/dmraid.py", line 69, in run
    blockdev.dm.activate_raid_set(rs_name)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 345, in handle_format
    helper_class(self, info, device).run()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 318, in handle_device
    self.handle_format(info, device)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 519, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 454, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 271, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1175, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
gi.overrides.BlockDev.DMError: Failed to activate the RAID set 'pdc_giibegaj'

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=FEDORA-S-DV quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26
Comment 1 Lwcoulter1 2017-07-14 13:16:17 EDT
Created attachment 1298540 [details]
File: anaconda-tb
Comment 2 Lwcoulter1 2017-07-14 13:16:18 EDT
Created attachment 1298541 [details]
File: anaconda.log
Comment 3 Lwcoulter1 2017-07-14 13:16:20 EDT
Created attachment 1298542 [details]
File: dnf.librepo.log
Comment 4 Lwcoulter1 2017-07-14 13:16:21 EDT
Created attachment 1298543 [details]
File: environ
Comment 5 Lwcoulter1 2017-07-14 13:16:22 EDT
Created attachment 1298544 [details]
File: hawkey.log
Comment 6 Lwcoulter1 2017-07-14 13:16:24 EDT
Created attachment 1298545 [details]
File: lsblk_output
Comment 7 Lwcoulter1 2017-07-14 13:16:25 EDT
Created attachment 1298546 [details]
File: nmcli_dev_list
Comment 8 Lwcoulter1 2017-07-14 13:16:27 EDT
Created attachment 1298547 [details]
File: os_info
Comment 9 Lwcoulter1 2017-07-14 13:16:28 EDT
Created attachment 1298548 [details]
File: program.log
Comment 10 Lwcoulter1 2017-07-14 13:16:29 EDT
Created attachment 1298549 [details]
File: storage.log
Comment 11 Lwcoulter1 2017-07-14 13:16:31 EDT
Created attachment 1298550 [details]
File: syslog
Comment 12 Lwcoulter1 2017-07-14 13:16:32 EDT
Created attachment 1298551 [details]
File: ifcfg.log
Comment 13 Lwcoulter1 2017-07-14 13:16:33 EDT
Created attachment 1298552 [details]
File: packaging.log
Comment 14 Jiri Konecny 2017-07-25 11:44:06 EDT
This looks to me like some error in libblockdev or maybe blivet. Changing component to libblockdev.

Note You need to log in before you can comment on or make changes to this bug.